public class Punto {    
    private int x;  //  variable para la coordenada en x    
    private int y; // variable para la coordenada en y  
    private static int puntos=0;
    
    public Punto() {  // metodo para construir un objeto sin parmetros          
       x = 0;          
       y = 0;
       puntos++;    
    }
    
    public Punto(int x, int y) {  // mtodo para construir un objeto con parmetros enteros          
       this.x = x;          
       this.y = y; 
       puntos++;   
    }
    
    public Punto(double x, double y) {  // mtodo para construir un objeto con parmetros double
       this.x = (int) x;
       this.y = (int) y;
       puntos++;
    }

    public Punto(Punto obj) {  // mtodo para construir un objeto con parmetro objeto Punto
       this.x = obj.x;
       this.y = obj.y;
       puntos++;
    }
  
    public int getX() {         // mtodo que te d el valor de la coordenada x          
       return x;    
    }    
    
    public int getY() {         // mtodo que te d el valor de la coordenada y          
       return y;    
    }   
    
    public void setX(int x) {  // mtodo que sirve para cambiar el valor de la coordenada x          
       this.x = x;         // this se utiliza porque se esta utilizando (x) como parmetro y como        
                              // variable de instancia y esto es para que no se confunda    
    }
    
    public void setX(double x) {  // mtodo que sirve para cambiar el valor de la coordenada x
       this.x = (int) x;       // con un valor double      
    }
   
    public void setY(int y) {  // mtodo que te sirve para cambiar el valor de la coordenada y
          this.y = y;        // this se utiliza porque se esta utilizando (y)  como parmetro y como  
                               // variable de instancia y esto es para que no se confunda                                    
    }
   
    public void setY(double y) {  // mtodo que te sirve para cambiar el valor de la coordenada y          
         this.y = (int) y;        // con un valor double    
    }
    
    public String toString() {   // para obtener un objeto Punto en formato String
        return "(" + getX() + "," + getY() + ")";
    }
    
    public static int getPuntos() {   // para acceder a la cantidad de objetos creados
        return puntos;
    }
}
